using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace TEAMModelOS.Controllers.Analysis
{
    public class ClassAys
    {
        public ClassAys()
        {
            subjects = new List<AysSubject>();
           
        }
        public List<string> studentIds { get; set; } = new List<string>();
        public int stuCount { get; set; }
        public int lineCount { get; set; }
        public List<AysSubject> subjects { get; set; }
        public string classId { get; set; }
        public string className { get; set; }
        public double totalAverage { get; set; }
        public double standardDeviation { get; set; }
        public string gradeId { get; set; }
        //记录班级得分率
        public double csRate { get; set; }
    }
    public class AysSubject
    {
        public List<double> point { get; set; }
        public List<double> field { get; set; }
        public int passCount { get; set; }
        public string name { get; set; }
        public string id { get; set; }
        public double passPercent { get; set; }
        public double average { get; set; }
        public double sRate { get; set; }
        public double standard { get; set; }
        public List<double> item { get; set; }
        //知识点结算内容
        public List<double> krate { get; set; } = new List<double>();
        public List<int> phc { get; set; } = new List<int>();
        public List<int> plc { get; set; } = new List<int>();
        public List<int> pc { get; set; } = new List<int>();
        //认知层次结算内容
        public List<double> frate { get; set; } = new List<double>();
        public List<int> fphc { get; set; } = new List<int>();
        public List<int> fplc { get; set; } = new List<int>();
        public List<int> fpc { get; set; } = new List<int>();

    }
}
